import * as winston from 'winston';

export default function filter(level: any) {
  return winston.format((info) => {
    if (typeof level === 'string') {
      if (info.level === level) return info;
    } else if (Array.isArray(level)) {
      if (level.includes(info.level)) return info;
    }
    return false;
  })();
}
